Skip to main content
`Ctrl`+`K`

# PetscSegBufferExtractTo

extract contiguous data to provided buffer and reset segmented buffer

## Synopsis

    PetscErrorCode PetscSegBufferExtractTo(PetscSegBuffer seg, void *contig)

Not Collective

## Input Parameters

- seg - segmented buffer

- contig - allocated buffer to hold contiguous data

## See Also

`PetscSegBufferCreate()`, `PetscSegBufferGet()`, `PetscSegBufferDestroy()`, `PetscSegBufferExtractAlloc()`, `PetscSegBufferExtractInPlace()`, `PetscSegBuffer`

## Level

developer

## Location

src/sys/utils/segbuffer.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages